Skip to content

Scan data.

POST
/backend/v1/scans

Runs guardrails against the provided data,
with the option to enable/disable specific guardrails and use the given project configuration.

Authorizations

HTTPBearer
Type
HTTP (bearer)

Request Body

application/json
JSON
{
  
"configOverrides": {
  
  
"additionalProperties": {
  
  
  
"pattern": "string",
  
  
  
"type": "regex"
  
  
}
  
},
  
"disabled": [
  
  
[
  
  
]
  
],
  
"externalMetadata": {
  
},
  
"flagOnly": true,
  
"forceEnabled": [
  
  
[
  
  
]
  
],
  
"input": "string",
  
"project": "string",
  
"requestPromptId": "string",
  
"scanDirection": "request",
  
"verbose": false
}

Responses

Successful Response

application/json
JSON
{
  
"id": "string",
  
"redactedInput": "string",
  
"result": {
  
  
"outcome": "string",
  
  
"response": "string",
  
  
"scannerResults": [
  
  
  
{
  
  
  
  
"completedDate": "string",
  
  
  
  
"customConfig": false,
  
  
  
  
"data": {
  
  
  
  
  
"matches": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
],
  
  
  
  
  
"type": "regex"
  
  
  
  
},
  
  
  
  
"message": "string",
  
  
  
  
"outcome": "string",
  
  
  
  
"scanDirection": "string",
  
  
  
  
"scannerId": "string",
  
  
  
  
"scannerVersionMeta": {
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
"description": "string",
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
},
  
  
  
  
  
"name": "string",
  
  
  
  
  
"published": true
  
  
  
  
},
  
  
  
  
"startedDate": "string"
  
  
  
}
  
  
]
  
},
  
"scanners": {
  
  
"configs": {
  
  
  
"additionalProperties": {
  
  
  
  
"blocking": true,
  
  
  
  
"enabled": true,
  
  
  
  
"flagMessage": "string",
  
  
  
  
"force": true,
  
  
  
  
"id": "string",
  
  
  
  
"mode": "string",
  
  
  
  
"version": "string"
  
  
  
}
  
  
},
  
  
"forcedScanners": {
  
  
  
"additionalProperties": {
  
  
  
  
"availability": {
  
  
  
  
  
"global": false,
  
  
  
  
  
"projectIds": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"config": {
  
  
  
  
  
"pattern": "string",
  
  
  
  
  
"type": "regex"
  
  
  
  
},
  
  
  
  
"direction": "request",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"packageId": "string",
  
  
  
  
"projectId": "string",
  
  
  
  
"scannerTemplateId": "string",
  
  
  
  
"source": {
  
  
  
  
  
"type": "internal"
  
  
  
  
},
  
  
  
  
"tags": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"vendored": true,
  
  
  
  
"versionMeta": {
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
"description": "string",
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
},
  
  
  
  
  
"name": "string",
  
  
  
  
  
"published": true
  
  
  
  
}
  
  
  
}
  
  
},
  
  
"scanners": {
  
  
  
"additionalProperties": {
  
  
  
  
"availability": {
  
  
  
  
  
"global": false,
  
  
  
  
  
"projectIds": [
  
  
  
  
  
  
[
  
  
  
  
  
  
]
  
  
  
  
  
]
  
  
  
  
},
  
  
  
  
"config": {
  
  
  
  
  
"pattern": "string",
  
  
  
  
  
"type": "regex"
  
  
  
  
},
  
  
  
  
"direction": "request",
  
  
  
  
"id": "string",
  
  
  
  
"name": "string",
  
  
  
  
"packageId": "string",
  
  
  
  
"projectId": "string",
  
  
  
  
"scannerTemplateId": "string",
  
  
  
  
"source": {
  
  
  
  
  
"type": "internal"
  
  
  
  
},
  
  
  
  
"tags": [
  
  
  
  
  
[
  
  
  
  
  
]
  
  
  
  
],
  
  
  
  
"vendored": true,
  
  
  
  
"versionMeta": {
  
  
  
  
  
"createdAt": "string",
  
  
  
  
  
"createdBy": "string",
  
  
  
  
  
"description": "string",
  
  
  
  
  
"direction": "string",
  
  
  
  
  
"f1Score": 0,
  
  
  
  
  
"id": "string",
  
  
  
  
  
"latestDatasetResult": {
  
  
  
  
  
  
"datasetRunId": "string",
  
  
  
  
  
  
"f1Score": 0
  
  
  
  
  
},
  
  
  
  
  
"name": "string",
  
  
  
  
  
"published": true
  
  
  
  
}
  
  
  
}
  
  
}
  
}
}

Playground

Server
Authorization
Body

Samples

Powered by VitePress OpenAPI

Updated at: